> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/artifacts-response.md).

# artifactsResponse

Response containing artifact information and pagination details.

### Examples

```graphql
type ArtifactsResponse {
  artifacts: [ArtifactInfo]
  offset: Int
  total: Int
  totalFilteredArtifacts: Int
}
```

### Fields

| Field                                                                                                       | Description                                      | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| ----------------------------------------------------------------------------------------------------------- | ------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| artifacts [`[ArtifactInfo]`](/api-documentation/api-reference/api--artifact/types/objects/artifact-info.md) | List of artifact information items               | <p>vulnDepIssues <code>\[String]</code><br>vulnDepBaseIssues <code>\[String]</code><br>vulnDepInstructionIssues <code>\[String]</code><br>secretIssues <code>\[String]</code><br>sbomIssues <code>\[String]</code><br>counts <a href="/pages/dyUPJxfsKNysJ1lvDxdE"><code>IssueCounts</code></a><br>id <code>String</code><br>appDescription <a href="/pages/Rrr8ZSe0XKjnndis60xh"><code>ArtifactApplication</code></a><br>artifactInfo <a href="/pages/al2ICZwbHfT3puR5Thf3"><code>IArtifactInfo</code></a><br>categories <a href="/pages/NxQzEneQtd1kW2BFQIa4"><code>\[ArtifactCategories]</code></a><br>artifactCategories <a href="/pages/NxQzEneQtd1kW2BFQIa4"><code>\[ArtifactCategories]</code></a><br>registryDescription <a href="/pages/QDQZwZDF6MOCW1LxuP7X"><code>\[ArtifactRegistryDescription]</code></a><br>cloudData <a href="/pages/YNzJrT3pRDcad6I39AKY"><code>\[CloudArtifactData]</code></a><br>totalIssuesBySeverity <a href="/pages/slO1MlaqzcbcMdp3yvLW"><code>Severities</code></a><br>packages <a href="/pages/pEZsSvBlDrYmwhxZxZse"><code>\[ArtifactPackage]</code></a><br>issueSeverityBreakdown <a href="/pages/lH24OgqZRIevZRc4m53D"><code>\[IssueSeverityBreakdown]</code></a><br>artifactContext <a href="/pages/pj5nyEKZW4Rpuc5Lc4iY"><code>\[ArtifactContextCategory]</code></a><br>scaSeveritySummary <a href="/pages/slO1MlaqzcbcMdp3yvLW"><code>Severities</code></a></p> |
| offset `Int`                                                                                                | Pagination offset value for virtualization       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| total `Int`                                                                                                 | Total number of artifacts available              |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| totalFilteredArtifacts `Int`                                                                                | Total number of artifacts after applying filters |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |

### References

#### Queries using this object:

* [\<?> getArtifacts](/api-documentation/api-reference/api--artifact/queries/get-artifacts.md)
* [\<?> getArtifactsV2](/api-documentation/api-reference/api--artifact/queries/get-artifacts-v2.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/artifacts-response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
